Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs
Class FieldsProducer

    java.lang.Object
      org.apache.lucene.index.Fields
          org.apache.lucene.codecs.FieldsProducer

All Implemented Interfaces:
  Closeable, Iterable<String>

Direct Known Subclasses:
  BlockTreeTermsReader

    public abstract class FieldsProducer

extends Fields
implements Closeable

Abstract API that produces terms, doc, freq, prox, offset and payloads postings.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary

Fields inherited from class org.apache.lucene.index.Fields
`EMPTY_ARRAY`

Constructor Summary
`protected` | `FieldsProducer()` Sole constructor.

Method Summary
`abstract void` | `close()`

Methods inherited from class org.apache.lucene.index.Fields
`getUniqueTermCount, iterator, size, terms`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldsProducer

    protected FieldsProducer()

  Sole constructor. (For invocation by subclass constructors, typically implicit.)

Method Detail

### close

    public abstract void close()
                        throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.